Bug 1459469 - [Docs][Rally] Review OpenStack Benchmarking Service guide
[Docs][Rally] Review OpenStack Benchmarking Service guide
Status: NEW
Product: Red Hat OpenStack
Classification: Red Hat
Component: documentation (Show other bugs)
10.0 (Newton)
Unspecified Linux
urgent Severity urgent
: ---
: ---
Assigned To: RHOS Documentation Team
RHOS Documentation Team
: Triaged, ZStream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-07 04:58 EDT by Francisco Javier Lopez Y Grueber
Modified: 2017-12-15 09:16 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francisco Javier Lopez Y Grueber 2017-06-07 04:58:56 EDT
Description of problem:

The Red Hat OpenStack Platform 10 Benchmarking Service Guide is not correct in delivering installation instructions of Rally within the Rally 0.7.0 rpm shipped with RHOS10 release. 

Instead of providing information on the RHOS10 rally rpm we give very basic information on how to install via installation script as done within the upstream git repository. 

This should be fixed immediately as it is the impression that there was no QA verifying this. [ install_rally.sh is not included in the package] 

Also note, that the creation of venv is not possible when using the rpm this way. 

Additionally the "rally deployment create" routine should have a dedicated explanation. 

As it forms the base for the successfull usage of the package. 

Version-Release number of selected component (if applicable):

RHOS10 

How reproducible:

Always -> Chapter Two -> Installing Benchmarking Service 

Steps to Reproduce:
1. rpm -ql openstack-rally |grep install_rally.sh 

...
2.
3.

Actual results:

No Information provided 

Expected results:

Detailed instructions on how to use the product 


Additional info:
Comment 1 Lucy Bopf 2017-08-25 01:20:24 EDT
Moving to 'NEW' to allow for triage.

Changing summary to suggest a whole guide review.

Note You need to log in before you can comment on or make changes to this bug.